---
apiVersion: vendir.k14s.io/v1alpha1
kind: Config
directories:
  - path: vendor/charts
    contents:
      - path: gitlab/pre
        git:
          url: git@dev.gitlab.org:gitlab/charts/gitlab.git
          ref: f3c4dac1a6079ae2f06e0f890ee2b2ec56f1cb41
        excludePaths:
          - '.git/**'
          - '.gitignore'
          - 'doc/**'
          - 'examples/**'
          - 'scripts/**'
          - 'spec/**'
      - path: gitlab/gstg
        git:
          url: git@dev.gitlab.org:gitlab/charts/gitlab.git
          ref: f3c4dac1a6079ae2f06e0f890ee2b2ec56f1cb41
        excludePaths:
          - '.git/**'
          - '.gitignore'
          - 'doc/**'
          - 'examples/**'
          - 'scripts/**'
          - 'spec/**'
      - path: gitlab/gprd
        git:
          url: git@dev.gitlab.org:gitlab/charts/gitlab.git
          ref: f3c4dac1a6079ae2f06e0f890ee2b2ec56f1cb41
        excludePaths:
          - '.git/**'
          - '.gitignore'
          - 'doc/**'
          - 'examples/**'
          - 'scripts/**'
          - 'spec/**'
      - path: vault-secrets
        helmChart:
          name: vault-secrets
          version: 1.2.11
          repository:
            url: oci://registry.ops.gitlab.net/gitlab-com/gl-infra/charts
